# Class BasicScrollBarUI.ArrowButtonListener

java.lang.Object
java.awt.event.MouseAdapter
javax.swing.plaf.basic.BasicScrollBarUI.ArrowButtonListener

All Implemented Interfaces:
  `MouseListener, MouseMotionListener, MouseWheelListener, EventListener`

Enclosing class:
  `BasicScrollBarUI`

protected class BasicScrollBarUI.ArrowButtonListener extends MouseAdapter
Listener for cursor keys.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ArrowButtonListener()`
  Constructs an `ArrowButtonListener`.

- ## Method Summary

  ### Methods declared in class MouseAdapter

  `mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mousePressed, mouseReleased, mouseWheelMoved`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ArrowButtonListener

    protected ArrowButtonListener()
    Constructs an `ArrowButtonListener`.